package cn.com.poc.agent_application.entity.call_agent;

import cn.com.poc.thirdparty.resource.demand.ai.constants.KnowledgeSearchTypeEnum;

/**
 * @author alex.yao
 * @date 2025/2/28
 */
public class CallAgentApplicationKnowledgeConfig {

    /**
     * 知识库ID数组
     */
    private Integer[] knowledgeIds;

    /**
     * 知识库检索得分阈值
     */
    private Double score;

    /**
     * 知识库检索数量上限
     */
    private Integer topK;

    /**
     * 知识库检索类型
     */
    private KnowledgeSearchTypeEnum searchTypeEnum;

    /**
     * knowledge_response_type
     * 知识库超纲回复类型
     * default-默认
     * custom-自定义
     */
    private String knowledgeResponseType;

    /**
     * knowledge_custom_response
     * 知识库自定义回复内容
     */
    private String[] knowledgeCustomResponse;


    public Integer[] getKnowledgeIds() {
        return knowledgeIds;
    }

    public void setKnowledgeIds(Integer[] knowledgeIds) {
        this.knowledgeIds = knowledgeIds;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Integer getTopK() {
        return topK;
    }

    public void setTopK(Integer topK) {
        this.topK = topK;
    }

    public KnowledgeSearchTypeEnum getSearchTypeEnum() {
        return searchTypeEnum;
    }

    public void setSearchTypeEnum(KnowledgeSearchTypeEnum searchTypeEnum) {
        this.searchTypeEnum = searchTypeEnum;
    }

    public String getKnowledgeResponseType() {
        return knowledgeResponseType;
    }

    public void setKnowledgeResponseType(String knowledgeResponseType) {
        this.knowledgeResponseType = knowledgeResponseType;
    }

    public String[] getKnowledgeCustomResponse() {
        return knowledgeCustomResponse;
    }

    public void setKnowledgeCustomResponse(String[] knowledgeCustomResponse) {
        this.knowledgeCustomResponse = knowledgeCustomResponse;
    }
}
